## AgsUUID

AgsUUID — boxed type of UUID

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsUUID * | ags_uuid_alloc ()
gpointer | ags_uuid_copy ()
void | ags_uuid_free ()
void | ags_uuid_generate ()
gint | ags_uuid_compare ()
gchar * | ags_uuid_to_string ()
AgsUUID * | ags_uuid_from_string ()

## Types and Values

#define | AGS_UUID_DEFAULT_LENGTH
#define | AGS_UUID_STRING_DEFAULT_LENGTH

## Object Hierarchy

        GBoxed
        ╰── AgsUUID

## Includes

    #include <ags/lib/ags_uuid.h>

## Description

Boxed type of uuid_t data type.

## Functions

### ags_uuid_alloc ()

    AgsUUID *
    ags_uuid_alloc ();

Allocate AgsUUID.

#### Returns

a new AgsUUID

Since: 3.0.0

### ags_uuid_copy ()

    gpointer
    ags_uuid_copy (AgsUUID *ptr);

Create a copy of `ptr` .

#### Parameters

ptr | the original AgsUUID |

#### Returns

a pointer of the new AgsUUID

Since: 3.0.0

### ags_uuid_free ()

    void
    ags_uuid_free (AgsUUID *ptr);

Free the memory of `ptr` .

#### Parameters

ptr | the AgsUUID |

Since: 3.0.0

### ags_uuid_generate ()

    void
    ags_uuid_generate (AgsUUID *ptr);

Generate random UUID.

#### Parameters

ptr | the AgsUUID |

Since: 3.0.0

### ags_uuid_compare ()

    gint
    ags_uuid_compare (AgsUUID *a,
                      AgsUUID *b);

Compare `a` with `b` .

#### Parameters

a | an AgsUUID |
b | another AgsUUID |

#### Returns

0 on success, otherwise a value less or greater than 0

Since: 3.0.0

### ags_uuid_to_string ()

    gchar *
    ags_uuid_to_string (AgsUUID *ptr);

Get string representation of `ptr` .

#### Parameters

ptr | the AgsUUID |

#### Returns

the UUID as string if `ptr` not `NULL`, else `NULL`.

[transfer full]

Since: 3.0.0

### ags_uuid_from_string ()

    AgsUUID *
    ags_uuid_from_string (gchar *str);

Retrieve AgsUUID by parsing `str` .

#### Parameters

str | the UUID as string |

#### Returns

the new AgsUUID on success, otherwise `NULL`

Since: 3.0.0

## Types and Values

### AGS_UUID_DEFAULT_LENGTH

    #define AGS_UUID_DEFAULT_LENGTH (16)

### AGS_UUID_STRING_DEFAULT_LENGTH

    #define AGS_UUID_STRING_DEFAULT_LENGTH (36)